# coding: utf-8

"""
    VMware Aria Automation Assembler / CMX Service API

    When using Kubernetes integration, deploy and manage Kubernetes clusters and namespaces. The APIs that list collections of resources also support OData like implementation. Below query params can be used across CMX entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/cmx/api/resources/tags?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/cmx/api/resources/tags?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/cmx/api/resources/tags?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /cmx/api/resources/tags?$filter=startswith(name, 'K8S')   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponseDefault8(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'message': 'str',
        'operation_tracker_link': 'str',
        'status': 'str'
    }

    attribute_map = {
        'message': 'message',
        'operation_tracker_link': 'operationTrackerLink',
        'status': 'status'
    }

    def __init__(self, message=None, operation_tracker_link=None, status=None):  # noqa: E501
        """InlineResponseDefault8 - a model defined in Swagger"""  # noqa: E501
        self._message = None
        self._operation_tracker_link = None
        self._status = None
        self.discriminator = None
        if message is not None:
            self.message = message
        if operation_tracker_link is not None:
            self.operation_tracker_link = operation_tracker_link
        if status is not None:
            self.status = status

    @property
    def message(self):
        """Gets the message of this InlineResponseDefault8.  # noqa: E501


        :return: The message of this InlineResponseDefault8.  # noqa: E501
        :rtype: str
        """
        return self._message

    @message.setter
    def message(self, message):
        """Sets the message of this InlineResponseDefault8.


        :param message: The message of this InlineResponseDefault8.  # noqa: E501
        :type: str
        """

        self._message = message

    @property
    def operation_tracker_link(self):
        """Gets the operation_tracker_link of this InlineResponseDefault8.  # noqa: E501


        :return: The operation_tracker_link of this InlineResponseDefault8.  # noqa: E501
        :rtype: str
        """
        return self._operation_tracker_link

    @operation_tracker_link.setter
    def operation_tracker_link(self, operation_tracker_link):
        """Sets the operation_tracker_link of this InlineResponseDefault8.


        :param operation_tracker_link: The operation_tracker_link of this InlineResponseDefault8.  # noqa: E501
        :type: str
        """

        self._operation_tracker_link = operation_tracker_link

    @property
    def status(self):
        """Gets the status of this InlineResponseDefault8.  # noqa: E501


        :return: The status of this InlineResponseDefault8.  # noqa: E501
        :rtype: str
        """
        return self._status

    @status.setter
    def status(self, status):
        """Sets the status of this InlineResponseDefault8.


        :param status: The status of this InlineResponseDefault8.  # noqa: E501
        :type: str
        """
        allowed_values = ["IN_PROGRESS", "COMPLETED", "FAILED"]  # noqa: E501
        if status not in allowed_values:
            raise ValueError(
                "Invalid value for `status` ({0}), must be one of {1}"  # noqa: E501
                .format(status, allowed_values)
            )

        self._status = status

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponseDefault8, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponseDefault8):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
